ListWebhooks
Returns a list of webhooks for an Amplify app.
Request Syntax
GET /apps/appId/webhooks?maxResults=maxResults&nextToken=nextToken HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- appId
-
The unique ID for an Amplify app.
Length Constraints: Minimum length of 1. Maximum length of 20.
Pattern:
d[a-z0-9]+Required: Yes
- maxResults
-
The maximum number of records to list in a single response.
Valid Range: Minimum value of 0. Maximum value of 50.
- nextToken
-
A pagination token. Set to null to start listing webhooks from the start. If non-null,the pagination token is returned in a result. Pass its value in here to list more webhooks.
Length Constraints: Minimum length of 0. Maximum length of 2000.
Pattern:
(?s).*
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"nextToken": "string",
"webhooks": [
{
"appId": "string",
"branchName": "string",
"createTime": number,
"description": "string",
"updateTime": number,
"webhookArn": "string",
"webhookId": "string",
"webhookUrl": "string"
}
]
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- nextToken
-
A pagination token. If non-null, the pagination token is returned in a result. Pass its value in another request to retrieve more entries.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 2000.
Pattern:
(?s).* - webhooks
-
A list of webhooks.
Type: Array of Webhook objects
Errors
For information about the errors that are common to all actions, see Common Error Types.
- BadRequestException
-
A request contains unexpected data.
HTTP Status Code: 400
- InternalFailureException
-
The service failed to perform an operation due to an internal issue.
HTTP Status Code: 500
- LimitExceededException
-
A resource could not be created because service quotas were exceeded.
HTTP Status Code: 429
- UnauthorizedException
-
An operation failed due to a lack of access.
HTTP Status Code: 401
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: